Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613466 - Missing dependency on libtool
Missing dependency on libtool
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gobject-introspection (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-11 16:54 EDT by Daniel Berrange
Modified: 2013-03-27 12:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-27 12:02:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2010-07-11 16:54:45 EDT
Description of problem:
The 'g-ir-scanner' program invokes libtool in some codepaths.

Attempting to build GTK-VNC introspection data in Koji fails with myterious errors:

  ./libgvnc-1.0.la: file not recognized: File format not recognized


The file giscanner/dumper.py conditionally uses libtool:


    def _link(self, output, *sources):
        args = []
        libtool = get_libtool_command(self._options)
        if libtool:
            args.extend(libtool)
            args.append('--mode=link')
            args.append('--tag=CC')
            args.append('--silent')

        args.extend([self._linker_cmd, '-o', output])


So because of missing dependancy on libtool from gboject-introspection-devel RPM, libtool isn't added to the command line & thus it fails to link.

Thus gobject-introspection-devel should have 'Requires: libtool'.

Version-Release number of selected component (if applicable):
gobject-introspection-devel-0.6.5-1.fc12.x86_64

Also affects F13/14

How reproducible:
Always

Steps to Reproduce:
1. Attempt to build a library which runs g-ir-scanner as part of its build process, eg

/usr/bin/g-ir-scanner -v \
                --namespace GVnc \
                --nsversion 1.0 \
		--include GObject-2.0 \
		--strip-prefix=Vnc \
                --library=./libgvnc-1.0.la \
                --add-include-path=.. \
                --add-include-path=. \
                --add-include-path=. \
                --output GVnc-1.0.gir \
                -I.. \
                -I. \
		--verbose \
                --pkg=glib-2.0 \
                --pkg=gthread-2.0 \
                --pkg=gdk-pixbuf-2.0 \
                --pkg=gobject-2.0 \
                ./vncpixelformat.h ./vncframebuffer.h ./vncframebuffer.c ./vncbaseframebuffer.h ./vncbaseframebuffer.c ./vnccolormap.h ./vnccolormap.c ./vnccursor.h ./vnccursor.c ./vncconnection.h ./vncconnection.c ./vncconnectionenums.h ./vncconnectionenums.c ./vncutil.h ./vncutil.c


Actual results:
./libgvnc-1.0.la: file not recognized: File format not recognized
collect2: ld returned 1 exit status
Traceback (most recent call last):
  File "/usr/bin/g-ir-scanner", line 38, in <module>
    sys.exit(scanner_main(sys.argv))
  File "/usr/lib/gobject-introspection/giscanner/scannermain.py", line 325, in scanner_main
    glibtransformer.get_get_type_functions())
  File "/usr/lib/gobject-introspection/giscanner/dumper.py", line 236, in compile_introspection_binary
    return dc.run()
  File "/usr/lib/gobject-introspection/giscanner/dumper.py", line 132, in run
    self._link(bin_path, o_path)
  File "/usr/lib/gobject-introspection/giscanner/dumper.py", line 231, in _link
    subprocess.check_call(args)
  File "/usr/lib/python2.6/subprocess.py", line 498, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['gcc', '-o', '/builddir/build/BUILD/gtk-vnc-0.4.0/src/tmp-introspectTcKI0V/GVnc-1.0', '-O2', '-g', '-pipe', '-Wall', '-Wp,-D_FORTIFY_SOURCE=2', '-fexceptions', '-fstack-protector', '--param=ssp-buffer-size=4', '-m32', '-march=i386', '-mtune=generic', '-fasynchronous-unwind-tables', '-L.', '-Wl,--export-dynamic', '-pthread', '-lgirepository-1.0', '-lgobject-2.0', '-lgmodule-2.0', '-lffi', '-lgthread-2.0', '-lrt', '-lglib-2.0', './libgvnc-1.0.la', '-pthread', '-Wl,--export-dynamic', '-lgio-2.0', '-lgirepository-1.0', '-lgobject-2.0', '-lgmodule-2.0', '-lffi', '-lgthread-2.0', '-lrt', '-lglib-2.0', '/builddir/build/BUILD/gtk-vnc-0.4.0/src/tmp-introspectTcKI0V/GVnc-1.0.o']' returned non-zero exit status 1
make[3]: *** [GVnc-1.0.gir] Error 1


Expected results:


Additional info:
Comment 1 Bug Zapper 2010-11-03 08:04:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Daniel Berrange 2010-11-03 11:58:52 EDT
This is still missing the libtool dependency in F13 and F14 and rawhide...
Comment 3 Daniel Berrange 2011-11-16 08:06:47 EST
This is still a problem in F17

  GEN    LibvirtGLib-1.0.gir
./libvirt-glib-1.0.la: file not recognized: File format not recognized
collect2: ld returned 1 exit status
linking of temporary binary failed: Command '['gcc', '-o', '/builddir/build/BUILD/libvirt-glib-0.0.1/libvirt-glib/tmp-introspecth95eOo/LibvirtGLib-1.0', '-O2', '-g', '-pipe', '-Wall', '-Wp,-D_FORTIFY_SOURCE=2', '-fexceptions', '-fstack-protector', '--param=ssp-buffer-size=4', '-m32', '-march=i686', '-mtune=atom', '-fasynchronous-unwind-tables', '-L.', '-Wl,-rpath=.', './libvirt-glib-1.0.la', '-pthread', '-lgio-2.0', '-lgobject-2.0', '-lgmodule-2.0', '-lgthread-2.0', '-lrt', '-lglib-2.0', '/builddir/build/BUILD/libvirt-glib-0.0.1/libvirt-glib/tmp-introspecth95eOo/LibvirtGLib-1.0.o']' returned non-zero exit status 1


Can we please have gobject-introspection-devel fixed to include 'Requires: libtool'
Comment 4 Colin Walters 2011-11-16 09:23:37 EST
* Wed Nov 16 2011 Colin Walters <walters@verbum.org> - 1.31.0-2
- -devel package requires libtool
  https://bugzilla.redhat.com/show_bug.cgi?id=613466

Note You need to log in before you can comment on or make changes to this bug.